NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Annotations::LightweightSectionBuilder Class Reference

Represents a NXOpen::Annotations::LightweightSection builder
To create a new instance of this class, use NXOpen::Annotations::PmiLightweightSectionCollection::CreateLightweightSectionBuilder
Default values. More...

Inheritance diagram for NXOpen::Annotations::LightweightSectionBuilder:
NXOpen::Display::DynamicSectionBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool AssemblyCrosshatching ()
 Returns the assembly crosshatch option
Created in NX9.0.0. More...
 
NXOpen::SelectDisplayableObjectListBoundingBoxComponents ()
 Returns the objects to define the box section type bounding extents
Created in NX8.0.0. More...
 
bool ClipCoplanarObjects ()
 Returns the clip coplanar objects
Created in NX11.0.0. More...
 
bool ClipWireframeObjects ()
 Returns the clip wireframe objects
Created in NX11.0.1. More...
 
NXOpen::Annotations::HatchFillSettingsBuilderCrosshatchSettings ()
 Returns the crosshatch settings
Created in NX9.0.0. More...
 
NXOpen::Annotations::CuttingPlaneSymbolBuilderCuttingPlaneSymbol ()
 Returns the cutting plane symbol
Created in NX9.0.0. More...
 
bool DisplayCrosshatch ()
 Returns the display crosshatch option
Created in NX9.0.0. More...
 
void GetSectionCurves (std::vector< NXOpen::Curve * > &curves)
 Returns the lightweight section view curves
Created in NX7.5.0. More...
 
NXOpen::SelectDisplayableObjectListObjectsToSection ()
 Returns the objects to section
Created in NX7.5.0. More...
 
int PatternDefinedBy ()
 Returns the crosshatch pattern defined by
Created in NX9.0.0. More...
 
bool RestrictCrosshatch ()
 Returns the restrict crosshatch angle to 45 degree option
Created in NX9.0.0. More...
 
bool SaveAssociativeCurves ()
 Returns the save associative curves toggle value
Created in NX7.5.0. More...
 
void SetAssemblyCrosshatching (bool assemblyCrosshatchingOption)
 Sets the assembly crosshatch option
Created in NX9.0.0. More...
 
void SetClipCoplanarObjects (bool clipCoplanarObjectsOption)
 Sets the clip coplanar objects
Created in NX11.0.0. More...
 
void SetClipWireframeObjects (bool clipWireframeObjectsOption)
 Sets the clip wireframe objects
Created in NX11.0.1. More...
 
void SetDisplayCrosshatch (bool displayCrosshatchOption)
 Sets the display crosshatch option
Created in NX9.0.0. More...
 
void SetPatternDefinedBy (int patternDefinedBy)
 Sets the crosshatch pattern defined by
Created in NX9.0.0. More...
 
void SetRestrictCrosshatch (bool restrictCrosshatchOption)
 Sets the restrict crosshatch angle to 45 degree option
Created in NX9.0.0. More...
 
void SetSaveAssociativeCurves (bool saveAssociativeCurvesToggle)
 Sets the save associative curves toggle value
Created in NX7.5.0. More...
 
void SetToleranceCrosshatch (double crosshatchAdjacencyTolerance)
 Sets the crosshatch adjacency tolerance
Created in NX9.0.0. More...
 
void SetViewName (const NXString &viewName)
 Sets the name of the lightweight section view
Created in NX7.5.0. More...
 
void SetViewName (const char *viewName)
 Sets the name of the lightweight section view
Created in NX7.5.0. More...
 
double ToleranceCrosshatch ()
 Returns the crosshatch adjacency tolerance
Created in NX9.0.0. More...
 
NXString ViewName ()
 Returns the name of the lightweight section view
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Display::DynamicSectionBuilder
void AlternatePlane ()
 Cycle through planes that are 90 degrees aligned to the current section plane. More...
 
bool BoxExtentDelayUpdate ()
 Returns the delay box extent update. More...
 
double BoxExtentMargin ()
 Returns the margin for box section extents
Use Display::DynamicSectionBuilder::BoxExtentSupported to determine if extent construction is supported before querying or setting extent attributes. More...
 
NXOpen::SelectINXObjectListBoxExtentObjects ()
 Returns the objects that define the extents for box section. More...
 
bool BoxExtentSupported ()
 Returns the box extent support. More...
 
NXOpen::NXColorCapColor ()
 Returns the cap color. More...
 
NXOpen::Display::DynamicSectionTypes::CapColorOption CapColorOption ()
 Returns the cap color option
Created in NX5.0.0. More...
 
NXOpen::Display::DynamicSectionTypes::Clip ClipType ()
 Returns the clip type
Created in NX5.0.0. More...
 
NXOpen::DatumPlaneCreateDatumPlane ()
 Creates a datum plane from the active section plane. More...
 
NXOpen::Display::DynamicSectionTypes::CoordinateSystem CsysType ()
 Returns the coordinate system used for creating section plane along X, Y or Z principal planes. More...
 
NXOpen::NXColorCurveColor ()
 Returns the curve color. More...
 
NXOpen::Display::DynamicSectionTypes::CurveColorOption CurveColorOption ()
 Returns the curve color option
Created in NX5.0.0. More...
 
NXOpen::Display::DynamicSectionTypes::Axis DefaultPlaneAxis ()
 Returns the axis indicating the default plane normal. More...
 
bool DeferCurveUpdate ()
 Returns the defer curve update property. More...
 
void EditView (NXOpen::ModelingView *view)
 Edits the section object in the modeling view. More...
 
void GetActivePlane (NXOpen::Display::DynamicSectionTypes::Axis *planeAxis, NXOpen::Display::DynamicSectionTypes::ActivePlane *activePlane)
 Gets the active plane in the section. More...
 
void GetAllPlanesGeometry (std::vector< NXOpen::Point3d > &planeOrigins, std::vector< NXOpen::Matrix3x3 > &planeMetrices)
 Gets geometry for all planes of the section. More...
 
void GetBoundingBox (NXOpen::Point3d *minCornerPt, NXOpen::Point3d *maxCornerPt)
 Gets bounding box used by the section. More...
 
NXOpen::Display::PlaneGridBuilderGetGridSettings ()
 Creates a grid settings builder from the active section plane. More...
 
NXString GetName ()
 Gets the section name. More...
 
NXOpen::Vector3d GetNormal ()
 Gets the normal of the section plane. More...
 
double GetOffset ()
 Gets the the plane offset. More...
 
void GetOffsetLimits (double *minimumOffset, double *maximumOffset)
 Gets minimum and maximum offset limits. More...
 
NXOpen::Point3d GetOrigin ()
 Gets the section origin. More...
 
void GetPlaneGeometry (NXOpen::Display::DynamicSectionTypes::Axis axisType, NXOpen::Display::DynamicSectionTypes::ActivePlane planeType, NXOpen::Point3d *origin, NXOpen::Matrix3x3 *matrix)
 Gets geometry of specified plane of the section. More...
 
double GetPlaneThickness ()
 Gets the thickness between active plane pair. More...
 
double GetRotationAngle (NXOpen::Display::DynamicSectionTypes::Axis rotationAxis)
 Gets rotation angle for specified axis. More...
 
NXOpen::Matrix3x3 GetRotationMatrix ()
 Gets the section rotation matrix. More...
 
NXOpen::NXColorInterferenceColor ()
 Returns the interference color. More...
 
bool IsAssociativitySupported ()
 Determines if an associative section plane is supported. More...
 
bool IsDefaultPlane ()
 Indicates whether the section plane is at the default location. More...
 
NXOpen::Display::LayerSettingsBuilderLayerSettings ()
 Returns the layer settings builder. More...
 
bool LoadAllIntersecting (NXOpen::PartLoadStatus **loadStatus)
 Loads all components that intersect the current section plane. More...
 
bool LoadNearIntersecting (NXOpen::PartLoadStatus **loadStatus)
 Loads components that intersect the current section plane and are near the section plane origin. More...
 
bool LockPlanes ()
 Returns the lock planes flag. More...
 
int NumberInSeries ()
 Returns the number of requested section planes in the current section series. More...
 
void OffsetOriginInPlane (double xOffset, double yOffset)
 Offsets section origin within current section plane. More...
 
void PlaneX ()
 Creates a plane along X direction. More...
 
void PlaneY ()
 Creates a plane along Y direction. More...
 
void PlaneZ ()
 Creates a plane along Z direction. More...
 
void RestoreView ()
 Restores the section to the saved section in the view database. More...
 
void ReverseDirection ()
 Reverses the plane direction. More...
 
bool ReverseSeries ()
 Returns the reverse series flag
Created in NX6.0.0. More...
 
void SaveCurves (const NXString &groupName)
 Creates curves by intersecting all clipping planes of the section with all visible bodies in the scene and adds them to the group created with the specified name. More...
 
void SaveCurves (const char *groupName)
 Creates curves by intersecting all clipping planes of the section with all visible bodies in the scene and adds them to the group created with the specified name. More...
 
double SeriesSpacing ()
 Returns the section plane spacing in the current section series. More...
 
void SetActivePlane (NXOpen::Display::DynamicSectionTypes::Axis planeAxis, NXOpen::Display::DynamicSectionTypes::ActivePlane activePlane)
 Sets the active plane in the section. More...
 
bool SetAllPlanesGeometry (const std::vector< NXOpen::Point3d > &planeOrigins, const std::vector< NXOpen::Matrix3x3 > &planeMetrices)
 Sets geometry for all planes of the section. More...
 
void SetAssociativePlane (NXOpen::Plane *planeTag)
 Makes dynamic section associative to the specified plane The plane must be a smart plane; otherwise an error will be reported. More...
 
void SetBoundingBox (const NXOpen::Point3d &minCornerPt, const NXOpen::Point3d &maxCornerPt)
 Sets bounding box for the section. More...
 
void SetBoxExtentDelayUpdate (bool delayUpdate)
 Sets the delay box extent update. More...
 
void SetBoxExtentMargin (double margin)
 Sets the margin for box section extents
Use Display::DynamicSectionBuilder::BoxExtentSupported to determine if extent construction is supported before querying or setting extent attributes. More...
 
void SetCapColor (NXOpen::NXColor *capColor)
 Sets the cap color. More...
 
void SetCapColorOption (NXOpen::Display::DynamicSectionTypes::CapColorOption capColorOption)
 Sets the cap color option
Created in NX5.0.0. More...
 
void SetClipType (NXOpen::Display::DynamicSectionTypes::Clip clipType)
 Sets the clip type
Created in NX5.0.0. More...
 
void SetCsysType (NXOpen::Display::DynamicSectionTypes::CoordinateSystem csys)
 Sets the coordinate system used for creating section plane along X, Y or Z principal planes. More...
 
void SetCurveColor (NXOpen::NXColor *curveColor)
 Sets the curve color. More...
 
void SetCurveColorOption (NXOpen::Display::DynamicSectionTypes::CurveColorOption curveColorOption)
 Sets the curve color option
Created in NX5.0.0. More...
 
void SetDefaultPlane ()
 Set current section plane to its default definition. More...
 
void SetDefaultPlaneAxis (NXOpen::Display::DynamicSectionTypes::Axis planeAxis)
 Sets the axis indicating the default plane normal. More...
 
void SetDefaults ()
 Set current section to the default values. More...
 
void SetDeferCurveUpdate (bool deferCurveUpdate)
 Sets the defer curve update property. More...
 
void SetInterferenceColor (NXOpen::NXColor *interferenceColor)
 Sets the interference color. More...
 
void SetLockPlanes (bool lockPlanes)
 Sets the lock planes flag. More...
 
bool SetName (const NXString &sectionName)
 Sets the section name. More...
 
bool SetName (const char *sectionName)
 Sets the section name. More...
 
void SetNormal (const NXOpen::Vector3d &normal)
 Sets the normal of the section plane
Section offset and rotation matrix are updated. More...
 
void SetNumberInSeries (int numberSectionsRequested)
 Sets the number of requested section planes in the current section series. More...
 
void SetOffset (double offset)
 Sets the the plane offset. More...
 
void SetOffsetByPoint (const NXOpen::Point3d &point)
 This method offsets the active clipping plane such that the plane passes through the specified point. More...
 
void SetOrigin (const NXOpen::Point3d &origin)
 Sets the section origin. More...
 
void SetPlane (const NXOpen::Point3d &axisOrigin, const NXOpen::Point3d &origin, const NXOpen::Matrix3x3 &rotationMatrix)
 Sets a section plane to be the specified plane The plane is created at the specified origin with the specified rotation matrix. More...
 
void SetPlaneThickness (double planeThickness)
 Sets the thickness between active plane pair. More...
 
void SetReverseSeries (bool reverseSeries)
 Sets the reverse series flag
Created in NX6.0.0. More...
 
void SetRotationAngle (NXOpen::Display::DynamicSectionTypes::Axis rotationAxis, double angle)
 Rotates the section about specified axis by the specified angle. More...
 
void SetRotationMatrix (NXOpen::Display::DynamicSectionTypes::Axis rotationAxis, const NXOpen::Matrix3x3 &rotationMatrix)
 Sets the section rotation matrix
Specify Display::DynamicSectionTypes::AxisNone if the axis about which rotation was performed is not known. More...
 
void SetSeriesSpacing (double sectionSpacing)
 Sets the section plane spacing in the current section series. More...
 
void SetShowCap (bool showCap)
 Sets the cap on off flag
Created in NX5.0.0. More...
 
void SetShowClip (bool showClip)
 Sets the clip on off flag
Created in NX5.0.0. More...
 
void SetShowCurves (bool showCurves)
 Sets the curve on off flag. More...
 
void SetShowGrid (bool showGrid)
 Sets the show grid display flag
Created in NX6.0.0. More...
 
void SetShowInterference (bool showInterference)
 Sets the interference on off flag. More...
 
void SetShowViewer (bool showViewer)
 Sets the 2D viewer display flag
Created in NX6.0.0. More...
 
void SetType (NXOpen::Display::DynamicSectionTypes::Type type)
 Sets the section type
Created in NX5.0.0. More...
 
void SetView (NXOpen::ModelingView *view)
 Sets the modeling view in which section object edits are being done. More...
 
bool ShowCap ()
 Returns the cap on off flag
Created in NX5.0.0. More...
 
bool ShowClip ()
 Returns the clip on off flag
Created in NX5.0.0. More...
 
void ShowCurvePreview (bool showCurvePreview)
 Show/hide curve preview. More...
 
bool ShowCurves ()
 Returns the curve on off flag. More...
 
bool ShowGrid ()
 Returns the show grid display flag
Created in NX6.0.0. More...
 
bool ShowInterference ()
 Returns the interference on off flag. More...
 
void ShowSectionCurves (bool showCurves)
 Shows the section curves in the view associated with the builder. More...
 
bool ShowViewer ()
 Returns the 2D viewer display flag
Created in NX6.0.0. More...
 
NXOpen::Display::DynamicSectionTypes::Type Type ()
 Returns the section type
Created in NX5.0.0. More...
 
void UpdateBoxExtents ()
 Update box section display by recomputing the box extents if necessary. More...
 
NXOpen::ModelingViewView ()
 Returns the modeling view in which section object edits are being done. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Annotations::LightweightSection builder
To create a new instance of this class, use NXOpen::Annotations::PmiLightweightSectionCollection::CreateLightweightSectionBuilder
Default values.

Property Value

BoxExtentDelayUpdate

false

CapColorOption

Any

ClipType

Section

CurveColorOption

Any

CuttingPlaneSymbol.DisplayCuttingPlaneSymbol

0

CuttingPlaneSymbol.UseTwoArrows

0

CuttingPlaneSymbol.ViewNameFormat

UserDefined

LockPlanes

true

ShowCap

true

ShowClip

true

ShowCurves (deprecated)

false

ShowGrid

false

ShowInterference

false

ShowViewer

false

Type

OnePlane


Created in NX7.5.0.

Member Function Documentation

bool NXOpen::Annotations::LightweightSectionBuilder::AssemblyCrosshatching ( )

Returns the assembly crosshatch option
Created in NX9.0.0.



License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::LightweightSectionBuilder::BoundingBoxComponents ( )

Returns the objects to define the box section type bounding extents
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::LightweightSectionBuilder::ClipCoplanarObjects ( )

Returns the clip coplanar objects
Created in NX11.0.0.



License requirements : None

bool NXOpen::Annotations::LightweightSectionBuilder::ClipWireframeObjects ( )

Returns the clip wireframe objects
Created in NX11.0.1.



License requirements : None

NXOpen::Annotations::HatchFillSettingsBuilder* NXOpen::Annotations::LightweightSectionBuilder::CrosshatchSettings ( )

Returns the crosshatch settings
Created in NX9.0.0.



License requirements : None

NXOpen::Annotations::CuttingPlaneSymbolBuilder* NXOpen::Annotations::LightweightSectionBuilder::CuttingPlaneSymbol ( )

Returns the cutting plane symbol
Created in NX9.0.0.



License requirements : None

bool NXOpen::Annotations::LightweightSectionBuilder::DisplayCrosshatch ( )

Returns the display crosshatch option
Created in NX9.0.0.



License requirements : None

void NXOpen::Annotations::LightweightSectionBuilder::GetSectionCurves ( std::vector< NXOpen::Curve * > &  curves)

Returns the lightweight section view curves
Created in NX7.5.0.



License requirements : None

Parameters
curvesArray of lightweight section view curves
NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::LightweightSectionBuilder::ObjectsToSection ( )

Returns the objects to section
Created in NX7.5.0.



License requirements : None

int NXOpen::Annotations::LightweightSectionBuilder::PatternDefinedBy ( )

Returns the crosshatch pattern defined by
Created in NX9.0.0.



License requirements : None

bool NXOpen::Annotations::LightweightSectionBuilder::RestrictCrosshatch ( )

Returns the restrict crosshatch angle to 45 degree option
Created in NX9.0.0.



License requirements : None

bool NXOpen::Annotations::LightweightSectionBuilder::SaveAssociativeCurves ( )

Returns the save associative curves toggle value
Created in NX7.5.0.



License requirements : None

void NXOpen::Annotations::LightweightSectionBuilder::SetAssemblyCrosshatching ( bool  assemblyCrosshatchingOption)

Sets the assembly crosshatch option
Created in NX9.0.0.



License requirements : geometric_tol ("GDT")

Parameters
assemblyCrosshatchingOptionassemblycrosshatchingoption
void NXOpen::Annotations::LightweightSectionBuilder::SetClipCoplanarObjects ( bool  clipCoplanarObjectsOption)

Sets the clip coplanar objects
Created in NX11.0.0.



License requirements : geometric_tol ("GDT")

Parameters
clipCoplanarObjectsOptionclipcoplanarobjectsoption
void NXOpen::Annotations::LightweightSectionBuilder::SetClipWireframeObjects ( bool  clipWireframeObjectsOption)

Sets the clip wireframe objects
Created in NX11.0.1.



License requirements : geometric_tol ("GDT")

Parameters
clipWireframeObjectsOptionclipwireframeobjectsoption
void NXOpen::Annotations::LightweightSectionBuilder::SetDisplayCrosshatch ( bool  displayCrosshatchOption)

Sets the display crosshatch option
Created in NX9.0.0.



License requirements : geometric_tol ("GDT")

Parameters
displayCrosshatchOptiondisplaycrosshatchoption
void NXOpen::Annotations::LightweightSectionBuilder::SetPatternDefinedBy ( int  patternDefinedBy)

Sets the crosshatch pattern defined by
Created in NX9.0.0.



License requirements : geometric_tol ("GDT")

Parameters
patternDefinedBypatterndefinedby
void NXOpen::Annotations::LightweightSectionBuilder::SetRestrictCrosshatch ( bool  restrictCrosshatchOption)

Sets the restrict crosshatch angle to 45 degree option
Created in NX9.0.0.



License requirements : geometric_tol ("GDT")

Parameters
restrictCrosshatchOptionrestrictcrosshatchoption
void NXOpen::Annotations::LightweightSectionBuilder::SetSaveAssociativeCurves ( bool  saveAssociativeCurvesToggle)

Sets the save associative curves toggle value
Created in NX7.5.0.



License requirements : geometric_tol ("GDT")

Parameters
saveAssociativeCurvesTogglesaveassociativecurvestoggle
void NXOpen::Annotations::LightweightSectionBuilder::SetToleranceCrosshatch ( double  crosshatchAdjacencyTolerance)

Sets the crosshatch adjacency tolerance
Created in NX9.0.0.



License requirements : geometric_tol ("GDT")

Parameters
crosshatchAdjacencyTolerancecrosshatchadjacencytolerance
void NXOpen::Annotations::LightweightSectionBuilder::SetViewName ( const NXString viewName)

Sets the name of the lightweight section view
Created in NX7.5.0.



License requirements : geometric_tol ("GDT")

Parameters
viewNameSection name
void NXOpen::Annotations::LightweightSectionBuilder::SetViewName ( const char *  viewName)

Sets the name of the lightweight section view
Created in NX7.5.0.



License requirements : geometric_tol ("GDT")

Parameters
viewNameSection name
double NXOpen::Annotations::LightweightSectionBuilder::ToleranceCrosshatch ( )

Returns the crosshatch adjacency tolerance
Created in NX9.0.0.



License requirements : None

NXString NXOpen::Annotations::LightweightSectionBuilder::ViewName ( )

Returns the name of the lightweight section view
Created in NX7.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.